# Uses of Class
org.apache.avro.util.NonCopyingByteArrayOutputStream

Packages that use NonCopyingByteArrayOutputStream
Package
Description
org.apache.avro.util
Common utility classes.

## Uses of NonCopyingByteArrayOutputStream in org.apache.avro.util

Methods in org.apache.avro.util that return NonCopyingByteArrayOutputStream
Modifier and Type
Method
Description
`static NonCopyingByteArrayOutputStream`
NonCopyingByteArrayOutputStream.`capacityLimitedOutputStream(int size)`
Creates a new byte array output stream, with a buffer capacity of the specified size, in bytes.
`static NonCopyingByteArrayOutputStream`
NonCopyingByteArrayOutputStream.`capacityLimitedOutputStream(int size, long limit)`
Creates a new byte array output stream, with a buffer capacity of the specified size, in bytes, capacity limit as specified in `limit`.